Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_RelativeRoundtripTimeoutPolicy Class Reference

`#include <Messaging_Policy_i.h>`

Inheritance diagram for TAO_RelativeRoundtripTimeoutPolicy:

[legend]
Collaboration diagram for TAO_RelativeRoundtripTimeoutPolicy:

[legend]
List of all members.

## Public Methods
| TAO_RelativeRoundtripTimeoutPolicy (const TimeBase::TimeT &relative_expiry)
| Constructor. More...
| TAO_RelativeRoundtripTimeoutPolicy (const TAO_RelativeRoundtripTimeoutPolicy &rhs)
| Copy constructor. More...
virtual TAO_RelativeRoundtripTimeoutPolicy * | clone (void) const
| Returns a copy of <this>. More...
virtual TimeBase::TimeT | relative_expiry (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | set_time_value (ACE_Time_Value &time_value)
| Change the CORBA representation to the ACE representation. More...
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
## Static Public Methods
void | hook (TAO_ORB_Core *orb_core, TAO_Stub *stub, int &has_timeout, ACE_Time_Value &time_value)
| Implement the timeout hook, this is set in the ORB_Core at initialization time. More...
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Helper method for the implementation of CORBA::ORB::create_policy. More...
## Private Attributes
TimeBase::TimeT | relative_expiry_
| The attribute. More...

## Constructor & Destructor Documentation

TAO_RelativeRoundtripTimeoutPolicy::TAO_RelativeRoundtripTimeoutPolicy | ( | const TimeBase::TimeT & | relative_expiry | ) |

| Constructor.

TAO_RelativeRoundtripTimeoutPolicy::TAO_RelativeRoundtripTimeoutPolicy | ( | const TAO_RelativeRoundtripTimeoutPolicy & | rhs | ) |

| Copy constructor.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_RelativeRoundtripTimeoutPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

TAO_RelativeRoundtripTimeoutPolicy * TAO_RelativeRoundtripTimeoutPolicy::clone | ( | void |  | ) | const`[virtual]`

| Returns a copy of <this>.

CORBA::Policy_ptr TAO_RelativeRoundtripTimeoutPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::Policy_ptr TAO_RelativeRoundtripTimeoutPolicy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_RelativeRoundtripTimeoutPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_RelativeRoundtripTimeoutPolicy::hook | ( | TAO_ORB_Core * | orb_core,
|  | TAO_Stub * | stub,
|  | int & | has_timeout,
|  | ACE_Time_Value & | time_value
| ) | `[static]`

| Implement the timeout hook, this is set in the ORB_Core at initialization time.

CORBA::PolicyType TAO_RelativeRoundtripTimeoutPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

TimeBase::TimeT TAO_RelativeRoundtripTimeoutPolicy::relative_expiry | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_RelativeRoundtripTimeoutPolicy::set_time_value | ( | ACE_Time_Value & | time_value | ) |

| Change the CORBA representation to the ACE representation.

## Member Data Documentation

TimeBase::TimeT TAO_RelativeRoundtripTimeoutPolicy::relative_expiry_`[private]`

| The attribute.

The documentation for this class was generated from the following files:

- Messaging_Policy_i.h
- Messaging_Policy_i.cpp